#
# Makefile.am
#

SUFFIXES = .m .c

lib_LTLIBRARIES = libcoconut_gnet.la

CC=@CC@
OBJC=@OBJC@

CFLAGS 	  += $(GNET_CFLAGS) $(GLIB_CFLAGS) $(XML_CFLAGS) $(POPT_CFLAGS)
OBJCFLAGS  = $(CFLAGS)
LIBS  	   = $(GNET_LIBS) $(GLIB_LIBS) $(XML_LIBS)
OBJCLIBS   = $(LIBS)
LINK       = $(LIBTOOL) --mode=link $(CC) $(LIBS) $(LDFLAGS) -o $@
OBJCLINK   = $(LIBTOOL) --mode=link $(OBJC) $(LIBS) $(OBJCLIBS) $(LDFLAGS) -o $@

INCLUDES = -I$(top_srcdir) 

libcoconut_gnetincludedir = $(includedir)/coconut/gnet

libcoconut_gnetinclude_HEADERS = \
	cnetclient.h \
	cnetserver.h \
	cnetstream.h \
	casyncclient.h \
	casyncnet.h \
	casyncserver.h \
	pnet.h \
	tgnet.h

libcoconut_gnet_la_SOURCES = \
	cnetclient.m \
	cnetserver.m \
	cnetstream.m \
	casyncclient.m \
	casyncnet.m \
	casyncserver.m

libcoconut_gnet_la_LDFLAGS = \
  -version-info $(VERSION_INFO) \
  -dynamic

libcoconut_gnet_la_LIBADD = $(OBJCLIBS)

